#ifndef DS1307_H
#define DS1307_H

#define DS1307_SLAVE_ADDRESS (0xD0)

enum ds1307_register_t {
	DS1307_REGISTER_SECONDS = 0x00,
	DS1307_REGISTER_MINUTES = 0x01,
	DS1307_REGISTER_HOURS = 0x02,
	DS1307_REGISTER_DAY = 0x03,
	DS1307_REGISTER_DATE = 0x04,
	DS1307_REGISTER_MONTH = 0x05,
	DS1307_REGISTER_YEAR = 0x06,
	DS1307_REGISTER_CONTROL = 0x07,
	DS1307_REGISTER_RAM = 0x08,
};

enum ds1307_control_bits_t {
	DS1307_RS0 = 0,
	DS1307_RS1 = 1,
	DS1307_SQWE = 4,
	DS1307_OUT = 7,
};

#endif