#ifndef BCD_H
#define BCD_H

#include <stdint.h>

// Encode a binary value to BCD.
uint8_t bcd_encode(uint8_t value);

// Decode a binary value from BCD.
uint8_t bcd_decode(uint8_t value);

// Check if a BCD value is valid (between 0x00 and 0x99).
uint8_t bcd_is_valid(uint8_t value);

#endif